<template>
    <v-dialog 
      v-model="dialog"
      max-width="500"
      persistent
    >
      <v-card>
          <v-card-title class="justify-center">
            Attribuer
          </v-card-title>

        <v-card-text>
            <div>
                <v-autocomplete
                    :loading="loading"
                    :items="items"
                    :search-input.sync="search"                    
                    @change="checkUpdatedInput"
                    v-model="selectedClient"
                    item-value="id"
                    item-text="composed"
                    append-icon=""
                    prepend-inner-icon="mdi-magnify"
                    return-object
                    cache-items
                    hide-no-data
                    hide-details
                    clearable
                    open-on-clear
                    label="Client">
                </v-autocomplete>
            </div>
        </v-card-text>

        <v-card-actions class="justify-end">
          <v-btn class="text-white" @click="close"> Annuler </v-btn>
          <v-btn class="text-white primary" 
            @click="addAttrib"            
            v-if="!isNewClient && isClient"
          >
            Attribuer
          </v-btn>
          <v-btn icon color="white" class="green"
              @click="addClient"
              v-if="isNewClient"
          >
              <v-icon>
                  mdi-plus
              </v-icon>
          </v-btn>
        </v-card-actions>
      </v-card>

    </v-dialog>
</template>
<script src="../js/modalAddAttribution.js"> </script>